%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Glib-Object-Introspection
Version:       0.050
Release:       2mamba
Summary:       Glib::Object::Introspection - Dynamically create Perl language bindings
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/X/XA/XAOC/Glib-Object-Introspection-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gobject-introspection-devel
BuildRequires: libffi-devel
BuildRequires: libglib-devel
BuildRequires: libperl
BuildRequires: perl-Glib
BuildRequires: perl-XML-LibXML
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver

%description
Glib::Object::Introspection - Dynamically create Perl language bindings.

%prep
%setup -q -n Glib-Object-Introspection-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make

%ifnarch %{ix86}
LANG=en_US.UTF-8 make test
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Wed Apr 19 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.050-2mamba
- rebuilt with perl 5.36.0

* Sat Apr 01 2023 Automatic Build System <autodist@mambasoft.it> 0.050-1mamba
- automatic version update by autodist

* Tue Aug 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.049-1mamba
- package created using the webbuild interface
